using System;
using System.Windows.Forms;
using System.Threading;

namespace SystemBrowser
{
	/// <summary>
	/// This class wires all the top-level objects of the application
	/// </summary>
  public class Binder
  {
    public void Bind()
    {
      Builder.FormMenuToolBar.ViewIcons += Builder.ContentFileList.ShowIcons;
      Builder.FormMenuToolBar.ViewDetails += Builder.ContentFileList.ShowDetails;
      Builder.FormMenuToolBar.UpClicked += Builder.NavigatorFolders.SelectParentFolder;
      Builder.FormMenuToolBar.AddressChanged += Builder.NavigatorFolders.SelectFolder;

      Builder.NavigatorFolders.FolderChanged += Builder.ContentFileList.Populate;
      Builder.NavigatorFolders.FolderChanged += Builder.FormMenuToolBar.ShowAddress;
      Builder.NavigatorFolders.Message += Builder.StatusBar.ShowMessage;

      Builder.ContentFileList.Message += Builder.StatusBar.ShowMessage;
      Builder.ContentFileList.FolderDoubleClicked += Builder.NavigatorFolders.SelectFolder;
    }
  }
}
