using System;
using System.Windows.Forms;
using System.Threading;

namespace SystemBrowser
{
  /// <summary>
  /// This class builds all the top-level objects of the application
  /// </summary>
  public static class Builder
  {
    public static Binder Binder;
    public static FormMain FormMain;
    public static FormMenuToolBar FormMenuToolBar;
    public static StatusBar StatusBar;
    public static NavigatorFolders NavigatorFolders;
    public static ContentFileList ContentFileList;

    public static void Build()
    {
      // create all UI elements
      Binder = new Binder();
      FormMain = new FormMain();
      FormMenuToolBar = new FormMenuToolBar();
      StatusBar = new StatusBar();
      NavigatorFolders = new NavigatorFolders();
      ContentFileList = new ContentFileList();

      // attach UI elements to FormMain
      FormMain.Menu = FormMenuToolBar.mainMenu;
      FormMain.Toolbar = FormMenuToolBar.panelToolbar;
      FormMain.Statusbar = StatusBar;
      FormMain.NavigatorFolders = NavigatorFolders;
      FormMain.ContentFolders = ContentFileList;
    }
  }
}
